Loading...
Searching...
No Matches
juce_CompilerWarnings.h File Reference

## Macros

#define | JUCE_BEGIN_IGNORE_WARNINGS_GCC_LIKE(...)
#define | JUCE_END_IGNORE_WARNINGS_GCC_LIKE
#define | JUCE_IGNORE_MSVC(warnings)
| Push/pop warnings on MSVC.
#define | JUCE_BEGIN_IGNORE_WARNINGS_LEVEL_MSVC(level, warnings)
#define | JUCE_BEGIN_IGNORE_WARNINGS_MSVC(warnings)
#define | JUCE_END_IGNORE_WARNINGS_MSVC
#define | JUCE_SANITIZER_ATTRIBUTE_MINIMUM_CLANG_VERSION 11
#define | JUCE_BEGIN_IGNORE_DEPRECATION_WARNINGS
#define | JUCE_END_IGNORE_DEPRECATION_WARNINGS
#define | JUCE_BEGIN_NO_SANITIZE(warnings)
| Disable sanitizers for a range of functions.
#define | JUCE_END_NO_SANITIZE

## Macro Definition Documentation

## JUCE_BEGIN_IGNORE_WARNINGS_GCC_LIKE

#define JUCE_BEGIN_IGNORE_WARNINGS_GCC_LIKE | ( |  | ... | ) |

Referenced by juce::exactlyEqual(), and juce::NullCheckedInvocation::invoke().

## JUCE_END_IGNORE_WARNINGS_GCC_LIKE

#define JUCE_END_IGNORE_WARNINGS_GCC_LIKE

Referenced by juce::exactlyEqual(), and juce::NullCheckedInvocation::invoke().

## JUCE_IGNORE_MSVC

#define JUCE_IGNORE_MSVC | ( |  | warnings | ) |

Push/pop warnings on MSVC.

These macros expand to nothing on other compilers (like clang and gcc).

## JUCE_BEGIN_IGNORE_WARNINGS_LEVEL_MSVC

#define JUCE_BEGIN_IGNORE_WARNINGS_LEVEL_MSVC | ( |  | level,
|  |  | warnings )

## JUCE_BEGIN_IGNORE_WARNINGS_MSVC

#define JUCE_BEGIN_IGNORE_WARNINGS_MSVC | ( |  | warnings | ) |

Referenced by juce::AudioBuffer< float >::addFrom(), juce::AudioBuffer< float >::clear(), juce::LinkedListPointer< ObjectType >::copyToArray(), juce::LinkedListPointer< ObjectType >::insertNext(), juce::CharPointer_UTF8::isByteOrderMark(), juce::CharPointer_UTF16::isByteOrderMarkBigEndian(), juce::CharPointer_UTF16::isByteOrderMarkLittleEndian(), juce::dsp::Bias< FloatType >::process(), juce::dsp::Gain< FloatType >::process(), juce::Reverb::processMono(), juce::Reverb::processStereo(), juce::LinkedListPointer< ObjectType >::replaceNext(), and juce::CharPointer_UTF8::sizeInBytes().

## JUCE_END_IGNORE_WARNINGS_MSVC

#define JUCE_END_IGNORE_WARNINGS_MSVC

Referenced by juce::AudioBuffer< float >::addFrom(), juce::AudioBuffer< float >::clear(), juce::LinkedListPointer< ObjectType >::copyToArray(), juce::LinkedListPointer< ObjectType >::insertNext(), juce::CharPointer_UTF8::isByteOrderMark(), juce::CharPointer_UTF16::isByteOrderMarkBigEndian(), juce::CharPointer_UTF16::isByteOrderMarkLittleEndian(), juce::dsp::Bias< FloatType >::process(), juce::dsp::Gain< FloatType >::process(), juce::Reverb::processMono(), juce::Reverb::processStereo(), juce::LinkedListPointer< ObjectType >::replaceNext(), and juce::CharPointer_UTF8::sizeInBytes().

## JUCE_SANITIZER_ATTRIBUTE_MINIMUM_CLANG_VERSION

#define JUCE_SANITIZER_ATTRIBUTE_MINIMUM_CLANG_VERSION 11

## JUCE_BEGIN_IGNORE_DEPRECATION_WARNINGS

#define JUCE_BEGIN_IGNORE_DEPRECATION_WARNINGS

Value:
JUCE_BEGIN_IGNORE_WARNINGS_GCC_LIKE ("-Wdeprecated-declarations") \
JUCE_BEGIN_IGNORE_WARNINGS_MSVC (4996)
JUCE_BEGIN_IGNORE_WARNINGS_GCC_LIKE
#define JUCE_BEGIN_IGNORE_WARNINGS_GCC_LIKE(...)
Definition juce_CompilerWarnings.h:216

## JUCE_END_IGNORE_DEPRECATION_WARNINGS

#define JUCE_END_IGNORE_DEPRECATION_WARNINGS

Value:
JUCE_END_IGNORE_WARNINGS_MSVC \
JUCE_END_IGNORE_WARNINGS_GCC_LIKE

Referenced by juce::Displays::Display::operator=().

## JUCE_BEGIN_NO_SANITIZE

#define JUCE_BEGIN_NO_SANITIZE | ( |  | warnings | ) |

Disable sanitizers for a range of functions.

This functionality doesn't seem to exist on GCC yet, so at the moment this only works for clang.

## JUCE_END_NO_SANITIZE

#define JUCE_END_NO_SANITIZE

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited